Bug 450160 - --enable-esi Fails
--enable-esi Fails
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 12:21 EDT by Jonathan Steffan
Modified: 2014-11-09 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 16:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2008-06-05 12:21:59 EDT
Description of problem:
This might be an upstream issue. When I add --enable-esi to squid-3.0.STABLE6-2
(and yes, adding BuildRequires: expat-devel, libxml2-devel) squid builds fine
but segfaults after the first request it receives. Oddly, squid processes
linger, but squid no longer listens on any ports.

Version-Release number of selected component (if applicable):
squid-3.0.STABLE6-2

How reproducible:
Always

Steps to Reproduce:
1. Pull SRPM, add --enable-esi
2. Add needed BRs: expat-devel, libxml2-devel
3. Build, Start squid, make a request
  
Actual results:
Squid fails.


Expected results:
ESI Support ;-)

Additional info:
This is likely an upstream issue, but I wanted to document the failure and have
a point of entry for any patches I find/write to make this work.
Comment 1 Bug Zapper 2008-11-25 21:23:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jonathan Steffan 2009-05-25 16:08:07 EDT
This is an upstream issue and should be fixed is upcoming releases.

Note You need to log in before you can comment on or make changes to this bug.